Description: rebuild menu after init
 .
 network-manager-applet (0.9.4.1-0ubuntu2.2) precise; urgency=low
 .
   [ Mathieu Trudel-Lapierre ]
 .
   * debian/patches/rebuild_menu_after_init.patch: Work around issues with
     menu initialization at session start by forcing a first menu update
     after 30 seconds. (LP: #965895)
Author: Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>
Bug-Ubuntu: https://bugs.launchpad.net/bugs/965895

Index: network-manager-applet-0.9.4.1/src/applet.c
===================================================================
--- network-manager-applet-0.9.4.1.orig/src/applet.c
+++ network-manager-applet-0.9.4.1/src/applet.c
@@ -3564,6 +3564,8 @@ setup_indicator_menu (NMApplet *applet)
 
 	app_indicator_set_menu(applet->app_indicator, GTK_MENU(applet->menu));
 
+	g_timeout_add_seconds (30, (GSourceFunc) applet_update_indicator_menu, applet);
+
 	return TRUE;
 }
 #endif /* ENABLE_INDICATOR */
